Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.Word2PDFSettingData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | Word2PDFSettingData ()
| Constructor. More...
def | Set (include_doc_props, optimize_option, content_option, bookmark_option, convert_to_pdfa, disable_vba_code)
| Set value. More...

## Static Public Attributes
| bookmark_option = _fsdk.Word2PDFSettingData_bookmark_option
| Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
| content_option = _fsdk.Word2PDFSettingData_content_option
| Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
| convert_to_pdfa = _fsdk.Word2PDFSettingData_convert_to_pdfa
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
| disable_vba_code = _fsdk.Word2PDFSettingData_disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the Word document. More...
| e_ConvertBookmarkOptionNone = _fsdk.Word2PDFSettingData_e_ConvertBookmarkOptionNone
| Do not create bookmark in converted PDF file.
| e_ConvertBookmarkOptionUseHeadings = _fsdk.Word2PDFSettingData_e_ConvertBookmarkOptionUseHeadings
| Create bookmarks in converted PDF file by using each heading of Word document. More...
| e_ConvertBookmarkOptionUseWordBookmark = _fsdk.Word2PDFSettingData_e_ConvertBookmarkOptionUseWordBookmark
| Create bookmarks in converted PDF file by using each bookmarks of Word document. More...
| e_ConvertContentOptionOnlyContent = _fsdk.Word2PDFSettingData_e_ConvertContentOptionOnlyContent
| Convert Word document without markup.
| e_ConvertContentOptionWithMarkup = _fsdk.Word2PDFSettingData_e_ConvertContentOptionWithMarkup
| Convert Word document with markup.
| e_ConvertOptimizeOptionForOnScreen = _fsdk.Word2PDFSettingData_e_ConvertOptimizeOptionForOnScreen
| Optimize option: convert for screen, which is a lower quality and results in a smaller file size.
| e_ConvertOptimizeOptionForPrint = _fsdk.Word2PDFSettingData_e_ConvertOptimizeOptionForPrint
| Optimize option: convert for print, which is higher quality and results in a larger file size.
| include_doc_props = _fsdk.Word2PDFSettingData_include_doc_props
| A boolean value which indicates whether to include Word document properties in the converted PDF document. More...
| optimize_option = _fsdk.Word2PDFSettingData_optimize_option
| Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.

## Detailed Description

This class represents setting data used for converting Word to PDF.

## Constructor & Destructor Documentation

## ◆ Word2PDFSettingData()

def FoxitPDFSDKPython3.Word2PDFSettingData.Word2PDFSettingData | ( |  | ) |

Constructor.

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.Word2PDFSettingData.Set | ( |  | include_doc_props,
|  |  | optimize_option,
|  |  | content_option,
|  |  | bookmark_option,
|  |  | convert_to_pdfa,
|  |  | disable_vba_code
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Word document properties in the converted PDF document.
  [in] | optimize_option | Optimize option for covnerting Word to PDF, which specifies the resolution and quality of the converted PDF document. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertOptimizeOptionForPrint and this should be one of these values.
  [in] | content_option | Content option for covnerting Word to PDF, which specifies how much content of Word document is to be converted to PDF file. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertContentOptionOnlyContent and this should be one of these values.
  [in] | bookmark_option | Bookmark option for covnerting Word to PDF, which specifies whether to export bookmarks to converted PDF file, and the type of bookmarks. Please refer to values starting from FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertBookmarkOptionNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Word document.

Returns
  None.

## Member Data Documentation

## ◆ convert_to_pdfa

FoxitPDFSDKPython3.Word2PDFSettingData.convert_to_pdfa = _fsdk.Word2PDFSettingData_convert_to_pdfa
| static

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Word document to a PDF/A file.
false means to convert Word document to a common file.

## ◆ disable_vba_code

FoxitPDFSDKPython3.Word2PDFSettingData.disable_vba_code = _fsdk.Word2PDFSettingData_disable_vba_code
| static

A boolean value decide whether to disable the execution of vba code in the Word document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ e_ConvertBookmarkOptionUseHeadings

FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertBookmarkOptionUseHeadings = _fsdk.Word2PDFSettingData_e_ConvertBookmarkOptionUseHeadings
| static

Create bookmarks in converted PDF file by using each heading of Word document.

Here, "Word heading" includes only headings within the main document and text boxes not within headers, footers, endnotes, footnotes, or comments.

## ◆ e_ConvertBookmarkOptionUseWordBookmark

FoxitPDFSDKPython3.Word2PDFSettingData.e_ConvertBookmarkOptionUseWordBookmark = _fsdk.Word2PDFSettingData_e_ConvertBookmarkOptionUseWordBookmark
| static

Create bookmarks in converted PDF file by using each bookmarks of Word document.

Here, "Word bookmark" includes all bookmarks except those contained within headers and footers.

## ◆ include_doc_props

FoxitPDFSDKPython3.Word2PDFSettingData.include_doc_props = _fsdk.Word2PDFSettingData_include_doc_props
| static

A boolean value which indicates whether to include Word document properties in the converted PDF document.

true means to include Word document properties in the converted PDF document.
false means not to include Word document properties in the converted PDF document.